## slurm-llnl 17.02.6

=== alps_tests/get_free_nodes/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
# NAMES
TARGET = free_nodes
MAIN   = main.c
OBJS   = unescape.o cmdline.o

# PROGRAMS
CC    = gcc
RM    = rm -vf
SHELL = /bin/bash

# PATHS
INCDIR = ../../include
LIBDIR = ../../libalps
ALPSLIB= $(LIBDIR)/libalps.a

# FLAGS
CFLAGS = -I$(INCDIR) -Wall 
EXTRA_CFLAGS = -Werror -pedantic
LDLIBS = -lexpat
#CFLAGS += -g

# suffix rules
%.o : %.c cmdline.h 
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) -c $< -o $@

all: check

check: $(TARGET)
ifneq ($(shell which xtprocadmin),)
	-xtprocadmin -n $(shell ./$< -n)
else
	time -p ./$< -uc
endif

$(TARGET): $(MAIN) $(OBJS) $(ALPSLIB)
	$(CC) $(CFLAGS) $^ $(LDLIBS) -o $@
	@strip $@

main.c: cmdline.h $(INCDIR)/basil_alps.h

cmdline.o : cmdline.c cmdline.h 
	$(CC) $(CFLAGS) -c $< -o $@

cmdline.h cmdline.c: arguments.ggo
	gengetopt < $<

$(ALPSLIB): $(wildcard $(LIBDIR)/*.c)
	$(MAKE) -C $(LIBDIR) all

install: $(TARGET)
	sudo scp $< boot:/rr/current/opt/slurm/default/bin/

.PHONY: clean distclean tar install

tags: $(wildcard *.c *.h $(LIBDIR)/*.c $(INCDIR)/*.h)
	ctags $^ > $@

clean:
	@$(RM) *.o *~ ? core a.out TAGS tags *.orig *.rej
	@$(RM) $(TARGET) 

distclean: clean
	@$(RM) cmdline.c cmdline.h

=== debian/changelog ===
slurm-llnl (17.02.6-1) unstable; urgency=medium

  * New upstream release
  * Update both configurators
  * Add jquery.js to d/copyright

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 14 Jul 2017 12:05:44 +0200

slurm-llnl (17.02.5-1) unstable; urgency=medium

  [ Mehdi Dogguy and Gennaro Oliva ]
  * New upstream release.
  * Refresh patches.
  * Update libslurm{db,}31.symbols

  [ Gennaro Oliva ]
  * Update d/copyright and switch to copyright-format 1.0

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 03 Jul 2017 15:30:51 +0200

slurm-llnl (17.02.1.2-1) unstable; urgency=medium

  * New upstream major release
  * Update libslurm{,db} package files to soname 31
  * Refresh patches and remove those included upstream
  * Remove srun_cr man page not installed without blcr support
  * Update service files to avoid killing job (Closes: #855905)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 08 Mar 2017 08:57:37 +0100

=== debian/control ===
Source: slurm-llnl
Section: admin
Priority: extra
Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
Uploaders: Rémi Palancher <remi@rezib.org>, Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 9.20130504),
 autotools-dev,
 libmunge-dev,
 libncurses5-dev,
 libssl-dev,
 po-debconf,
 python,
 libglade2-dev,
 libgtk2.0-dev,
 default-libmysqlclient-dev,
 libpam0g-dev,
 libperl-dev,
 chrpath,
 libpam0g-dev,
 liblua5.1-0-dev,
 libhwloc-dev,
 dh-autoreconf,
 dh-exec,
 librrd-dev,
 libipmimonitoring-dev,
 dh-systemd (>= 1.5),
 hdf5-helpers,
 libhdf5-dev
Standards-Version: 3.9.8
Homepage: http://slurm.schedmd.com
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git

Package: slurm-wlm
Architecture: any
Depends:
 ${misc:Depends},
 slurmd (= ${binary:Version}),
 slurmctld (= ${binary:Version}),
 slurm-client (= ${binary:Version})
Replaces: slurm-llnl (<< 14.03)
Breaks: slurm-llnl (<< 14.03)
Description: Simple Linux Utility for Resource Management
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This metapackage contains all client side commands, the compute node
 daemon and the central management demon.

Package: slurm-client
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 munge,
 adduser,
 ucf
Replaces: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5)
Breaks: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5)
Conflicts: sinfo (<< 0.0.47-4)
Description: SLURM client side commands
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains all client side commands.

Package: slurm-client-dbg
Architecture: any
Section: debug
Depends:
 slurm-client (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM client side commands
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for all client side
 commands.

Package: slurmd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 openssl,
 slurm-wlm-basic-plugins (= ${binary:Version}),
 adduser,
 ucf,
 munge,
 openssl (>= 0.9.8g-9),
 lsb-base (>= 3.2-12)
Replaces: slurm-llnl (<< 14.03)
Breaks: slurm-llnl (<< 14.03)
Description: SLURM compute node daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the compute node demon slurmd.

Package: slurmd-dbg
Architecture: any
Section: debug
Depends:
 slurmd (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM compute node daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for the compute node daemon
 slurmd.

Package: slurmctld
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-client (= ${binary:Version}),
 openssl,
 slurm-wlm-basic-plugins (= ${binary:Version}),
 adduser,
 ucf,
 munge,
 openssl (>= 0.9.8g-9),
 lsb-base (>= 3.2-12)
Replaces: slurm-llnl (<< 14.03)
Breaks: slurm-llnl (<< 14.03)
Description: SLURM central management daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the central management demon slurmctld.

Package: slurmctld-dbg
Architecture: any
Section: debug
Depends:
 slurmctld (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM central management daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for central management
 daemon slurmctld.

Package: libslurmdb31
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for the SLURM DataBase Daemon
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM DataBase Daemon runtime library.

Package: libslurmdb31-dbg
Architecture: any
Section: debug
Depends:
 libslurmdb31 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM slurmdbd runtime library
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for slurmdbd runtime
 library.

Package: libslurm31
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM runtime library.

Package: libslurm31-dbg
Architecture: any
Section: debug
Depends:
 libslurm31 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM slurm runtime library
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for slurm runtime
 library.

Package: libpmi0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM PMI library implementation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI runtime implementation.

Package: libpmi0-dbg
Architecture: any
Section: debug
Depends:
 libpmi0 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM PMI library implementation
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for SLURM PMI library
 implementation.

Package: libpmi2-0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM PMI2 library implementation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI2 runtime implementation.

Package: libpmi2-0-dbg
Architecture: any
Section: debug
Depends:
 libpmi0 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM PMI2 library implementation
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for SLURM PMI2 library
 implementation.

Package: libslurm-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libslurm31 (= ${binary:Version})
Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Description: SLURM development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains SLURM static library and header files.

Package: libslurmdb-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libslurmdb31 (= ${binary:Version})
Description: SLURM DataBase Daemon development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains SLURM DataBase Daemon static library and header files.

Package: libpmi0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi0 (= ${binary:Version}),
 libslurm31 (= ${binary:Version})
Description: SLURM PMI library implementation development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI implementation static library and header
 files

Package: libpmi2-0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi2-0 (= ${binary:Version}),
 libslurm31 (= ${binary:Version})
Description: SLURM PMI2 library implementation development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI2 implementation static library and header
 files

Package: slurm-wlm-doc
Section: doc
Architecture: all
Depends:
 libjs-jquery,
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: slurm-llnl-doc (<< 14.03)
Breaks: slurm-llnl-doc (<< 14.03)
Description: SLURM documentation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM html documentation.

Package: slurm-wlm-basic-plugins
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: slurm-llnl-basic-plugins (<< 14.03)
Breaks: slurm-llnl-basic-plugins (<< 14.03)
Description: SLURM basic plugins
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM basic plugins

Package: slurm-wlm-basic-plugins-dbg
Architecture: any
Section: debug
Depends:
 slurm-wlm-basic-plugins (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM basic plugins
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for basic plugins.

Package: slurm-wlm-basic-plugins-dev
Section: devel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Replaces: slurm-llnl-basic-plugins-dev (<< 14.03)
Breaks: slurm-llnl-basic-plugins-dev (<< 14.03)
Description: SLURM basic plugins development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains development files for the SLURM basic plugins

Package: sview
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-client (= ${binary:Version})

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PERL_ARCHLIB := $(shell perl -MConfig -e 'print substr($$Config{vendorarch}, 1)')
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow
# include defs of all DEB_HOST_*/DEB_BUILD_* vars
include /usr/share/dpkg/architecture.mk

%:
	dh $@ --builddirectory --parallel --with systemd

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --builddirectory build-emulator
	rm -rf $(CURDIR)/debian/tmp-emulator

# We run configure with --disable-debug to avoid the default use of -O0 and
# consequent unprotected source functions, causing lintian report
# hardening-no-fortify-functions
# Notice that -g in CFLAGS is still provided by dpkg-buildflags
override_dh_auto_configure:
	dh_autoreconf
	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd
	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory build-emulator

override_dh_auto_install:
	dh_auto_install
	
	# clear dependency_libs field in *.la files
	# see lintian non-empty-dependency_libs-in-la-file for reference
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp/ -name '*.la'`
	# Rename slurm(1) manpage before dh_installman run. It is not possible
	# to rename manpages in debian/*.manpages so hardcore `mv` is done here
	mv debian/tmp/usr/share/man/man1/slurm.1 debian/tmp/usr/share/man/man1/slurm-wlm.1
	
	# run make install for libpam-slurm pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pam install DESTDIR=$(CURDIR)/debian/tmp
	
	# run make install for libslurm[db]-perl pkgs
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/perlapi install DESTDIR=$(CURDIR)/debian/tmp PERL_MM_OPT="INSTALLDIRS=vendor"
	find debian/tmp/$(PERL_ARCHLIB) -type f -name "*.so" | xargs chrpath -d
	
	# run make install for slurm-wlm-torque pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/torque install DESTDIR=$(CURDIR)/debian/tmp

	# run make install for PMI2 pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pmi2 install DESTDIR=$(CURDIR)/debian/tmp

	# Rename mpiexec to mpiexec.slurm
	mv debian/tmp/usr/bin/mpiexec	debian/tmp/usr/bin/mpiexec.slurm

	# build manpages for pbs wrappers
	for i in debian/tmp/usr/bin/pbsnodes \
		debian/tmp/usr/bin/mpiexec.slurm \
		debian/tmp/usr/bin/q*; do \
			pod2man $$i > debian/tmp/usr/share/man/man1/$$(basename $$i).1; \
	done

	# Remove embedded jquery.min.js
	rm -f debian/tmp/usr/share/doc/slurm-wlm-doc/html/jquery.min.js

	# Rename binaries that are also in the slurm-wlm-emulator
	mv debian/tmp/usr/sbin/slurmctld debian/tmp/usr/sbin/slurmctld-wlm
	mv debian/tmp/usr/sbin/slurmd debian/tmp/usr/sbin/slurmd-wlm
	mv debian/tmp/usr/sbin/slurmstepd debian/tmp/usr/sbin/slurmstepd-wlm

	dh_auto_install --builddirectory build-emulator  --destdir=$(CURDIR)/debian/tmp-emulator
	# Rename binaries in the emulator packages
	mv debian/tmp-emulator/usr/sbin/slurmctld debian/tmp-emulator/usr/sbin/slurmctld-wlm-emulator
	mv debian/tmp-emulator/usr/sbin/slurmd debian/tmp-emulator/usr/sbin/slurmd-wlm-emulator
	mv debian/tmp-emulator/usr/sbin/slurmstepd debian/tmp-emulator/usr/sbin/slurmstepd-wlm-emulator
	mv debian/tmp-emulator/usr/bin/sshare	debian/tmp-emulator/usr/bin/sshare-emulator
	mv debian/tmp-emulator/usr/bin/scancel 	debian/tmp-emulator/usr/bin/scancel-emulator
	mv debian/tmp-emulator/usr/bin/sattach 	debian/tmp-emulator/usr/bin/sattach-emulator
	mv debian/tmp-emulator/usr/bin/sbatch 	debian/tmp-emulator/usr/bin/sbatch-emulator
	mv debian/tmp-emulator/usr/bin/sreport 	debian/tmp-emulator/usr/bin/sreport-emulator
	mv debian/tmp-emulator/usr/bin/sbcast 	debian/tmp-emulator/usr/bin/sbcast-emulator
	mv debian/tmp-emulator/usr/bin/srun 	debian/tmp-emulator/usr/bin/srun-emulator
	mv debian/tmp-emulator/usr/bin/squeue 	debian/tmp-emulator/usr/bin/squeue-emulator
	mv debian/tmp-emulator/usr/bin/sprio 	debian/tmp-emulator/usr/bin/sprio-emulator
	mv debian/tmp-emulator/usr/bin/smap 	debian/tmp-emulator/usr/bin/smap-emulator
	mv debian/tmp-emulator/usr/bin/sdiag 	debian/tmp-emulator/usr/bin/sdiag-emulator
	mv debian/tmp-emulator/usr/bin/strigger debian/tmp-emulator/usr/bin/strigger-emulator
	mv debian/tmp-emulator/usr/bin/sinfo 	debian/tmp-emulator/usr/bin/sinfo-emulator
	mv debian/tmp-emulator/usr/bin/salloc 	debian/tmp-emulator/usr/bin/salloc-emulator
	mv debian/tmp-emulator/usr/bin/sacct	debian/tmp-emulator/usr/bin/sacct-emulator
	mv debian/tmp-emulator/usr/bin/sacctmgr debian/tmp-emulator/usr/bin/sacctmgr-emulator
	mv debian/tmp-emulator/usr/bin/scontrol debian/tmp-emulator/usr/bin/scontrol-emulator
	mv debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator

override_dh_strip:
	dh_strip -plibslurm31 --dbg-package=libslurm31-dbg
	dh_strip -plibslurmdb31 --dbg-package=libslurmdb31-dbg
	dh_strip -plibpmi0 --dbg-package=libpmi0-dbg
	dh_strip -plibpmi2-0 --dbg-package=libpmi2-0-dbg
	dh_strip -pslurm-wlm-basic-plugins --dbg-package=slurm-wlm-basic-plugins-dbg
	dh_strip -pslurm-client --dbg-package=slurm-client-dbg
	dh_strip -pslurmd --dbg-package=slurmd-dbg
	dh_strip -pslurmctld --dbg-package=slurmctld-dbg
	dh_strip -pslurmdbd --dbg-package=slurmctld-dbg
	# we do not care about debug symbols for those pkgs
	dh_strip -plibslurmdb-perl
	dh_strip -plibslurm-perl
	dh_strip -psview
	dh_strip -plibpam-slurm
	dh_strip -pslurm-wlm-emulator
	dh_strip -pslurm-client-emulator
	dh_strip -plibpmi0-dev
	dh_strip -plibpmi2-0-dev
	dh_strip -plibslurmdb-dev
	dh_strip -plibslurm-dev
	dh_strip -pslurm-wlm-basic-plugins-dev
	strip --strip-debug --remove-section=.comment \
		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm/*.a

override_dh_auto_test:

## slurm-llnl 17.02.7

=== alps_tests/apstat_clone/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
# NAMES
TARGET = apstat_clone
MAIN   = main.c
OBJS   = appinfo.o \
	 print_apids.o print_reservations.o print_nodes.o\
	 node_placement_list.o\
	 cmdline.o\

# PROGRAMS
CC    := gcc
SHELL := /bin/bash
DIFF  := diff -up --suppress-common-lines

# PATHS
INCDIR	:= ../../include
LIBDIR	:= ../../libalps
ALPSLIB	:= $(LIBDIR)/libalps.a

# XT RELEASE VERSION
test_release 	 = $(shell [ -f $(dir)/xtrelease ] && echo $(dir)/xtrelease)
release_file    := $(foreach dir,/etc /etc/opt/cray/release/, $(test_release))
parse_xt_release = $(shell sed 's/^[^=]*=//;s/\..*$$//' $(1))
CLE_RELEASE	:= $(call parse_xt_release,$(release_file))

# FLAGS
CFLAGS	= -I$(INCDIR) -Wall -DCLE=$(CLE_RELEASE)
CFLAGS += -g # -Werror -pedantic
LDLIBS = -lexpat

# suffix rules
%.o : %.c common.h cmdline.h
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) -c $< -o $@

check: $(TARGET)
	./$< -n
gdb: $(TARGET)
	$@ $< -n
# force rebuild do to possible change between CLE releases
test: obj-clean $(TARGET)
ifneq ($(shell which apstat 2>/dev/null),)
	$(DIFF) <(apstat -zn)		<($(TARGET) -n) #>3
	-$(DIFF) <(apstat -a)		<($(TARGET) -a)
	-$(DIFF) <(apstat -a -v)	<($(TARGET) -a -v)
	-$(DIFF) <(apstat -a -v -v)	<($(TARGET) -a -v -v)
	-$(DIFF) <(apstat -a -v -v -v)	<($(TARGET) -a -v -v -v)
	$(DIFF) <(apstat -n | tail -3)	<($(TARGET) -n | tail -3)
	$(DIFF) <(apstat -z -no)	<($(TARGET) -n -o)
	$(DIFF) <(apstat -r)		<($(TARGET) -r)
	$(DIFF) <(apstat -r -v)		<($(TARGET) -r -v)
	$(DIFF) <(apstat -r -v -v)	<($(TARGET) -r -v -v)
	$(DIFF) <(apstat -r -v -v -v)	<($(TARGET) -r -v -v -v)
	-$(DIFF) <(apstat)		<($(TARGET))
else
	@./$(TARGET)
endif

all: check

$(TARGET): $(MAIN) $(OBJS) $(ALPSLIB)
	$(CC) $(CFLAGS) $^ $(LDLIBS) -o $@
#@strip $@

main.c: common.h cmdline.h $(INCDIR)/basil_alps.h

cmdline.o : cmdline.c cmdline.h
	$(CC) $(CFLAGS) -c $< -o $@

cmdline.h cmdline.c: arguments.ggo
	gengetopt < $<

$(ALPSLIB): $(wildcard $(LIBDIR)/*.c)
	$(MAKE) -C $(LIBDIR) all

inventory:
	echo '<?xml version="1.0"?><BasilRequest protocol="1.1" method="QUERY" type="INVENTORY"/>'|apbasil

.PHONY: clean distclean obj-clean inventory

tags: $(wildcard *.c *.h $(LIBDIR)/*.c $(INCDIR)/*.h) /usr/include/alps/apInfo.h
	ctags $^

obj-clean:
	$(RM) $(OBJS)

clean: obj-clean
	@$(RM) *~ ? core a.out TAGS tags *.orig *.rej
	@$(RM) $(TARGET)

distclean: clean
	@$(RM) cmdline.c cmdline.h

=== sdb_tests/nid2coordinate/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
all: check

include ../build.mk

check: $(TARGET)
ifneq ($(shell which xtprocadmin),)
	@./$< $(shell xtprocadmin | sed 1d | awk '{print $$1}')
else
	# For performance optimisation
	time -p ./$<
endif

=== debian/changelog ===
slurm-llnl (17.02.7-1) unstable; urgency=medium

  * New upstream release
  * Rightly moving slurmdbd symbols in slurmdbd debug package
  * Switch from -dbg packages to automatic -dbgsym
  * Change package priority to optional as required by the new standard
  * Change d/copyright format uri to https
  * Standard version upgraded to 4.1.1
  * Increase debhelper version dependency to get rid of dh-systemd
  * Add srun, sbatch and sacct autopkgtests

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 07 Oct 2017 01:25:22 +0200

## slurm-llnl 17.02.9

=== debian/changelog ===
slurm-llnl (17.02.9-1) unstable; urgency=medium

  * New upstream release fixes CVE-2017-15566 (Closes: #880530)
  * Add new symbols to libslurm31 and libslurmdb31
  * Modify header patch to remove google script in the footer
  * Rename header patch

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 05 Nov 2017 01:02:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: slurm-llnl
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
 Uploaders: Rémi Palancher <remi@rezib.org>, Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 9.20130504),
+ debhelper (>= 9.20160709),
  autotools-dev,
  libmunge-dev,
  libncurses5-dev,
@@ -24,10 +24,9 @@
  dh-exec,
  librrd-dev,
  libipmimonitoring-dev,
- dh-systemd (>= 1.5),
  hdf5-helpers,
  libhdf5-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
@@ -67,20 +66,6 @@
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
  This package contains all client side commands.
-
-Package: slurm-client-dbg
-Architecture: any
-Section: debug
-Depends:
- slurm-client (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM client side commands
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for all client side
- commands.
 
 Package: slurmd
 Architecture: any
@@ -102,20 +87,6 @@
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
  This package contains the compute node demon slurmd.
-
-Package: slurmd-dbg
-Architecture: any
-Section: debug
-Depends:
- slurmd (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM compute node daemon
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for the compute node daemon
- slurmd.
 
 Package: slurmctld
 Architecture: any
@@ -139,20 +110,6 @@
  interconnect agnostic.
  This package contains the central management demon slurmctld.
 
-Package: slurmctld-dbg
-Architecture: any
-Section: debug
-Depends:
- slurmctld (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM central management daemon
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for central management
- daemon slurmctld.
-
 Package: libslurmdb31
 Section: libs
 Architecture: any
@@ -163,20 +120,6 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM DataBase Daemon runtime library.
 
-Package: libslurmdb31-dbg
-Architecture: any
-Section: debug
-Depends:
- libslurmdb31 (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM slurmdbd runtime library
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for slurmdbd runtime
- library.
-
 Package: libslurm31
 Section: libs
 Architecture: any
@@ -187,20 +130,6 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM runtime library.
 
-Package: libslurm31-dbg
-Architecture: any
-Section: debug
-Depends:
- libslurm31 (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM slurm runtime library
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for slurm runtime
- library.
-
 Package: libpmi0
 Section: libs
 Architecture: any
@@ -211,20 +140,6 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM PMI runtime implementation.
 
-Package: libpmi0-dbg
-Architecture: any
-Section: debug
-Depends:
- libpmi0 (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM PMI library implementation
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for SLURM PMI library
- implementation.
-
 Package: libpmi2-0
 Section: libs
 Architecture: any
@@ -234,20 +149,6 @@
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM PMI2 runtime implementation.
-
-Package: libpmi2-0-dbg
-Architecture: any
-Section: debug
-Depends:
- libpmi0 (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM PMI2 library implementation
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for SLURM PMI2 library
- implementation.
 
 Package: libslurm-dev
 Section: libdevel
@@ -329,19 +230,6 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM basic plugins
 
-Package: slurm-wlm-basic-plugins-dbg
-Architecture: any
-Section: debug
-Depends:
- slurm-wlm-basic-plugins (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM basic plugins
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for basic plugins.
-
 Package: slurm-wlm-basic-plugins-dev
 Section: devel
 Architecture: any
@@ -362,3 +250,122 @@
  ${shlibs:Depends},
  ${misc:Depends},
  slurm-client (= ${binary:Version})
+Replaces: slurm-llnl-sview (<< 14.03)
+Breaks: slurm-llnl-sview (<< 14.03)
+Description: GUI to view and modify SLURM state
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ This package contains sview a GUI that can be used to view SLURM
+ configuration, job, step, node and partitions state information.
+ Authorized users can also modify select information.
+
+Package: slurmdbd
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ slurm-wlm-basic-plugins (= ${binary:Version}),
+ adduser,
+ munge,
+ lsb-base (>= 3.2-12),
+ ucf
+Replaces: slurm-llnl-slurmdbd (<< 14.03)
+Breaks: slurm-llnl-slurmdbd (<< 14.03)
+Description: Secure enterprise-wide interface to a database for SLURM
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ This package contain SlurmDBD (Slurm DataBase Daemon) that can be
+ used to securely manage the accounting data for several Slurm
+ clusters in a central location and sacctmgr a command for managing
+ user accounts in SlurmDBD.
+
+Package: libslurm-perl
+Section: perl
+Architecture: any
+Depends:
+ ${perl:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: Perl API for SLURM
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ .
+ This package contains the Perl module.
+
+Package: libslurmdb-perl
+Section: perl
+Architecture: any
+Depends:
+ ${perl:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: Perl API for the SLURM database
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ .
+ This package contains the Perl module for the SLURM database.
+
+Package: slurm-wlm-torque
+Architecture: all
+Depends:
+ libslurm-perl (>= ${source:Version}),
+ libslurmdb-perl (>= ${source:Version}),
+ ${perl:Depends},
+ ${misc:Depends},
+ libswitch-perl,
+ slurm-client (>= ${source:Version})
+Replaces: slurm-llnl-torque (<< 14.03)
+Breaks: slurm-llnl-torque (<< 14.03)
+Conflicts: gridengine-client, torque-client, torque-client-x11
+Description: Torque compatibility wrappers for SLURM
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ .
+ This package contains the Torque compatibility wrappers.
+
+Package: libpam-slurm
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: PAM module to authenticate using the SLURM resource manager
+ Pluggable Authentication Module (PAM) for restricting access to compute
+ nodes where SLURM performs resource management. Access to the node is
+ restricted to user root and users who have been allocated resources on
+ that node.
+
+Package: slurm-llnl
+Architecture: all
+Section: oldlibs
+Depends: slurm-wlm, ${misc:Depends}
+Description: transitional dummy package for slurm-wlm
+ This is a transitional dummy package for slurm-wlm.
+ It can safely be removed.
+
+Package: slurm-llnl-slurmdbd
+Architecture: all
+Section: oldlibs
+Depends: slurmdbd, ${misc:Depends}
+Description: transitional dummy package for slurmdbd
+ This is a transitional dummy package for slurmdbd
+ It can safely be removed.
+
+Package: slurm-wlm-emulator
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ slurmctld (= ${binary:Version}),
+ slurmd (= ${binary:Version})
+Description: SLURM emulator
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ .
+ This package installs the emulator binaries: slurmd, slurmctld
+ and slurmstepd.
+
+Package: slurm-client-emulator
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Description: SLURM client side commands for the emulator
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system

=== debian/rules ===
--- 
+++ 
@@ -96,27 +96,27 @@
 	mv debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator
 
 override_dh_strip:
-	dh_strip -plibslurm31 --dbg-package=libslurm31-dbg
-	dh_strip -plibslurmdb31 --dbg-package=libslurmdb31-dbg
-	dh_strip -plibpmi0 --dbg-package=libpmi0-dbg
-	dh_strip -plibpmi2-0 --dbg-package=libpmi2-0-dbg
-	dh_strip -pslurm-wlm-basic-plugins --dbg-package=slurm-wlm-basic-plugins-dbg
-	dh_strip -pslurm-client --dbg-package=slurm-client-dbg
-	dh_strip -pslurmd --dbg-package=slurmd-dbg
-	dh_strip -pslurmctld --dbg-package=slurmctld-dbg
-	dh_strip -pslurmdbd --dbg-package=slurmctld-dbg
+	dh_strip -plibslurm31 --dbgsym-migration='libslurm31-dbg (<< 17.02.6~)'
+	dh_strip -plibslurmdb31 --dbgsym-migration='libslurmdb31-dbg (<< 17.02.6~)'
+	dh_strip -plibpmi0 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
+	dh_strip -plibpmi2-0 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
+	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'
+	dh_strip -pslurm-client --dbgsym-migration='slurm-client-dbg (<< 17.02.6~)'
+	dh_strip -pslurmd --dbgsym-migration='slurmd-dbg (<< 17.02.6~)'
+	dh_strip -pslurmctld --dbgsym-migration='slurmctld-dbg (<< 17.02.6~)'
+	dh_strip -pslurmdbd --dbgsym-migration='slurmdbd-dbg (<< 17.02.6~)'
 	# we do not care about debug symbols for those pkgs
-	dh_strip -plibslurmdb-perl
-	dh_strip -plibslurm-perl
-	dh_strip -psview
-	dh_strip -plibpam-slurm
-	dh_strip -pslurm-wlm-emulator
-	dh_strip -pslurm-client-emulator
-	dh_strip -plibpmi0-dev
-	dh_strip -plibpmi2-0-dev
-	dh_strip -plibslurmdb-dev
-	dh_strip -plibslurm-dev
-	dh_strip -pslurm-wlm-basic-plugins-dev
+	dh_strip -plibslurmdb-perl --no-automatic-dbgsym
+	dh_strip -plibslurm-perl --no-automatic-dbgsym
+	dh_strip -psview --no-automatic-dbgsym
+	dh_strip -plibpam-slurm --no-automatic-dbgsym
+	dh_strip -pslurm-wlm-emulator --no-automatic-dbgsym
+	dh_strip -pslurm-client-emulator --no-automatic-dbgsym
+	dh_strip -plibpmi0-dev --no-automatic-dbgsym
+	dh_strip -plibpmi2-0-dev --no-automatic-dbgsym
+	dh_strip -plibslurmdb-dev --no-automatic-dbgsym
+	dh_strip -plibslurm-dev --no-automatic-dbgsym
+	dh_strip -pslurm-wlm-basic-plugins-dev --no-automatic-dbgsym
 	strip --strip-debug --remove-section=.comment \
 		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm/*.a

## slurm-llnl 17.11.2

=== debian/changelog ===
slurm-llnl (17.11.2-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:53:59 +0000

slurm-llnl (17.11.2-1) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * New upstream release
    - Refresh patches
  * Drop old transitional packages (Closes: #878864) and old Replaces
    and Breaks statements.
  * Fix default pidfile for slurm daemons (See: #885759)
  * Use --runstatedir instead of --localstatedir in debian/rules to
    specify run state directory.
  * Override call to dh_shlibdeps so that dpkg-shlibdeps finds
    libslurmfull.so
  * Override lintian error binary-or-shlib-defines-rpath: Slurm provides
    a private shared library. Its location matches the future name of the
    source package.

  [ Gennaro Oliva ]
  * Drop unused lintian spelling-error-in-binary overrides
  * Update d/copyright
  * Upgrade Standards-Version to 4.1.2, no changes needed

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 14 Jan 2018 10:59:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: slurm-llnl
 Section: admin
 Priority: optional
-Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
 Uploaders: Rémi Palancher <remi@rezib.org>, Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper (>= 9.20160709),
@@ -26,7 +27,7 @@
  libipmimonitoring-dev,
  hdf5-helpers,
  libhdf5-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
@@ -38,8 +39,6 @@
  slurmd (= ${binary:Version}),
  slurmctld (= ${binary:Version}),
  slurm-client (= ${binary:Version})
-Replaces: slurm-llnl (<< 14.03)
-Breaks: slurm-llnl (<< 14.03)
 Description: Simple Linux Utility for Resource Management
  SLURM stands for Simple Linux Utility for Resource Management, it
  is an open-source cluster resource management and job scheduling system
@@ -57,8 +56,6 @@
  munge,
  adduser,
  ucf
-Replaces: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5)
-Breaks: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5)
 Conflicts: sinfo (<< 0.0.47-4)
 Description: SLURM client side commands
  SLURM stands for Simple Linux Utility for Resource Management, it
@@ -79,8 +76,6 @@
  munge,
  openssl (>= 0.9.8g-9),
  lsb-base (>= 3.2-12)
-Replaces: slurm-llnl (<< 14.03)
-Breaks: slurm-llnl (<< 14.03)
 Description: SLURM compute node daemon
  SLURM stands for Simple Linux Utility for Resource Management, it
  is an open-source cluster resource management and job scheduling system
@@ -101,8 +96,6 @@
  munge,
  openssl (>= 0.9.8g-9),
  lsb-base (>= 3.2-12)
-Replaces: slurm-llnl (<< 14.03)
-Breaks: slurm-llnl (<< 14.03)
 Description: SLURM central management daemon
  SLURM stands for Simple Linux Utility for Resource Management, it
  is an open-source cluster resource management and job scheduling system
@@ -110,7 +103,7 @@
  interconnect agnostic.
  This package contains the central management demon slurmctld.
 
-Package: libslurmdb31
+Package: libslurmdb32
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -120,7 +113,7 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM DataBase Daemon runtime library.
 
-Package: libslurm31
+Package: libslurm32
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -156,7 +149,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm31 (= ${binary:Version})
+ libslurm32 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Description: SLURM development files
@@ -170,7 +163,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurmdb31 (= ${binary:Version})
+ libslurmdb32 (= ${binary:Version})
 Description: SLURM DataBase Daemon development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -183,7 +176,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0 (= ${binary:Version}),
- libslurm31 (= ${binary:Version})
+ libslurm32 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -197,7 +190,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi2-0 (= ${binary:Version}),
- libslurm31 (= ${binary:Version})
+ libslurm32 (= ${binary:Version})
 Description: SLURM PMI2 library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -211,8 +204,6 @@
  libjs-jquery,
  ${shlibs:Depends},
  ${misc:Depends}
-Replaces: slurm-llnl-doc (<< 14.03)
-Breaks: slurm-llnl-doc (<< 14.03)
 Description: SLURM documentation
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -223,8 +214,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
-Replaces: slurm-llnl-basic-plugins (<< 14.03)
-Breaks: slurm-llnl-basic-plugins (<< 14.03)
 Description: SLURM basic plugins
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -237,8 +226,6 @@
  ${shlibs:Depends},
  ${misc:Depends},
  slurm-wlm-basic-plugins (= ${binary:Version})
-Replaces: slurm-llnl-basic-plugins-dev (<< 14.03)
-Breaks: slurm-llnl-basic-plugins-dev (<< 14.03)
 Description: SLURM basic plugins development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -250,8 +237,6 @@
  ${shlibs:Depends},
  ${misc:Depends},
  slurm-client (= ${binary:Version})
-Replaces: slurm-llnl-sview (<< 14.03)
-Breaks: slurm-llnl-sview (<< 14.03)
 Description: GUI to view and modify SLURM state
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -269,8 +254,6 @@
  munge,
  lsb-base (>= 3.2-12),
  ucf
-Replaces: slurm-llnl-slurmdbd (<< 14.03)
-Breaks: slurm-llnl-slurmdbd (<< 14.03)
 Description: Secure enterprise-wide interface to a database for SLURM
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -314,8 +297,6 @@
  ${misc:Depends},
  libswitch-perl,
  slurm-client (>= ${source:Version})
-Replaces: slurm-llnl-torque (<< 14.03)
-Breaks: slurm-llnl-torque (<< 14.03)
 Conflicts: gridengine-client, torque-client, torque-client-x11
 Description: Torque compatibility wrappers for SLURM
  SLURM, the Simple Linux Utility for Resource Management,
@@ -335,22 +316,6 @@
  restricted to user root and users who have been allocated resources on
  that node.
 
-Package: slurm-llnl
-Architecture: all
-Section: oldlibs
-Depends: slurm-wlm, ${misc:Depends}
-Description: transitional dummy package for slurm-wlm
- This is a transitional dummy package for slurm-wlm.
- It can safely be removed.
-
-Package: slurm-llnl-slurmdbd
-Architecture: all
-Section: oldlibs
-Depends: slurmdbd, ${misc:Depends}
-Description: transitional dummy package for slurmdbd
- This is a transitional dummy package for slurmdbd
- It can safely be removed.
-
 Package: slurm-wlm-emulator
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
@@ -369,3 +334,6 @@
 Description: SLURM client side commands for the emulator
  SLURM stands for Simple Linux Utility for Resource Management, it
  is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains all client side commands for the emulator.

=== debian/rules ===
--- 
+++ 
@@ -23,12 +23,15 @@
 # Notice that -g in CFLAGS is still provided by dpkg-buildflags
 override_dh_auto_configure:
 	dh_autoreconf
-	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd
-	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd
+	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --runstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd
+	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm-llnl --runstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd
 
 override_dh_auto_build:
 	dh_auto_build
 	dh_auto_build --builddirectory build-emulator
+
+override_dh_shlibdeps:
+	dh_shlibdeps -O--builddirectory -O--parallel -l$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/slurm-wlm/
 
 override_dh_auto_install:
 	dh_auto_install
@@ -96,8 +99,8 @@
 	mv debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator
 
 override_dh_strip:
-	dh_strip -plibslurm31 --dbgsym-migration='libslurm31-dbg (<< 17.02.6~)'
-	dh_strip -plibslurmdb31 --dbgsym-migration='libslurmdb31-dbg (<< 17.02.6~)'
+	dh_strip -plibslurm32
+	dh_strip -plibslurmdb32
 	dh_strip -plibpmi0 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
 	dh_strip -plibpmi2-0 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
 	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'
@@ -118,6 +121,6 @@
 	dh_strip -plibslurm-dev --no-automatic-dbgsym
 	dh_strip -pslurm-wlm-basic-plugins-dev --no-automatic-dbgsym
 	strip --strip-debug --remove-section=.comment \
-		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm/*.a
+		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm-wlm/*.a
 
 override_dh_auto_test:

=== debian/tests/control ===
Tests: srun
Features: no-build-needed,isolation-container
Restrictions: needs-root
Depends: slurmctld, slurmd, slurm-client

Tests: sbatch
Features: no-build-needed,isolation-container
Restrictions: needs-root
Depends: slurmctld, slurmd, slurm-client

Tests: sacct
Features: no-build-needed,isolation-container
Restrictions: needs-root
Depends: slurmctld, slurmd, slurm-client, slurmdbd, mariadb-client, mariadb-server
